angular.module('IDRMAGISOFT').controller('CedulaController', CedulaController);
CedulaController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$http', '$interval'];
function CedulaController($scope, $state, $sessionStorage, servicios, $http, $interval) {
    
    function comprobarempty(objeto) {
        if (objeto == "" || objeto == undefined) {
            return true;
        } else {
            return false;
        }
    }

    $sessionStorage.Ubicacion = 'Cedula';
    $scope.mostrarCC = true;
    $scope.datoscliente = false;

    $scope.Cedula = "";
    $scope.borrarDigitos = function () {
        var texto = $scope.Cedula;
        $scope.Cedula = texto.substring(0, texto.length - 1);
        if($scope.Cedula == "undefined" || $scope.Cedula == undefined){
            $scope.Cedula = "";
        }
        contarTimer = 0;
    }

    $scope.espacio = function () {
        if(!$scope.Cedula == ""){
            var texto = $scope.Cedula;
            $scope.Cedula = texto + " ";
        }
    }

    //OBTENER EL VALOR DE CADA BOTON DEL TECLADO DIGITAL
    $(document).ready(function () {
        $('.num').click(function () {
            var num = $(this);
            //console.log(num.clone().children().remove().end().text());
            // var text = $.trim(num.find('.txt').clone().children().remove().end().text());
            var text = num.clone().children().remove().end().text();
            var telNumber = $('#telNumber');
            $scope.Cedula = telNumber.val() + text;
            $(telNumber).val(telNumber.val() + text);
            contarTimer = 0;
        });
    });

    $scope.openTurnos = function () {
        $http.get("app/model/Servidor.php?accion=getTurnos")
        .then(function (response) {
            $("#turnos ").modal("show");
            let keys = Object.keys(response.data);
            for (let index = 0; index < keys.length; index++) {
                const element = response.data[index];
                $scope.Turnos.push(element);
            }
            $scope.turnosTotal = $scope.Turnos;
        });
    }
    $scope.Ver = function (turnos) {
        $("#turnosDetalles").modal("show");
        $scope.TurnosDetalle = turnos;
    }
    $scope.changeQ = function (q) {
        if(q != ''){
            let t = $scope.Turnos;
            $scope.Turnos = t.filter((e)=>{
                if(e.Turno.toLowerCase().indexOf(q.toLowerCase()) != -1 || e.Nombre.toLowerCase().indexOf(q.toLowerCase()) != -1 || e.Cedula.toLowerCase().indexOf(q.toLowerCase()) != -1){
                    return e;
                }
            })
        }else{
            $scope.Turnos = $scope.turnosTotal;
        }
    }
    $scope.closeDetalle = function () {
        $("#turnosDetalles").modal("hide");
    }
    $scope.close = function () {
        $("#turnos").modal("hide");
    }
    // $scope.CargarEPS = function(){
    //     $http.get("app/model/Servidor.php?accion=CargarEPS")
    //         .then(function (response) {
    //             $scope.EPSList = response.data.respuesta;
    //     });
        
    // }

    $scope.CargarOpciones = function(){
        $http.get("app/model/Servidor.php?accion=CargarOpciones")
            .then(function (response) {
                $scope.OpcionesList = response.data.respuesta;
                $scope.TituloOpcion = $scope.OpcionesList[0].oidr_nombre;
        });
        $http.get("app/model/Servidor.php?accion=CargarSubOpciones")
            .then(function (response) {
                $scope.SubOpcionesList = response.data.respuesta;
        });
    }
    $scope.CargarOpciones();
    // $scope.CargarEPS();


    $scope.CaputrarOpcionNivel = function(){
        $sessionStorage.nivel = $scope.client.opcion;
    }


    $scope.client = {};
    $scope.DatosPersona = function() {
        $http.get("app/model/Servidor.php?accion=DatosPersona&Cedula=" + $scope.client.identificacion)
            .then(function (response) {
                if(response.data.respuesta){
                    $scope.client.nombre = response.data.respuesta[0].NombreCompleto;
                }
            });
    }
    $scope.RegistroEditPersona = function(){
        if(comprobarempty($scope.client.identificacion) || comprobarempty($scope.client.nombre)){
            //
        }else{
            
            console.log($sessionStorage.nivel);
            $http.get("app/model/Servidor.php?accion=RegistroEditPersona&Cedula=" + 
            $scope.client.identificacion + "&nombre="+
            $scope.client.nombre
            )
            .then(function (response) {
                if(response.data.respuesta){
                    $sessionStorage.NombreCliente = $scope.client.nombre;
                    $sessionStorage.IdPersona = response.data.IdPersona;
                    // $sessionStorage.Telefono = $scope.client.telefono;
                    $sessionStorage.Cedula = $scope.client.identificacion;
                    $sessionStorage.MostrarSC = 1;
                    console.log(response.data.entrega);
                    if(response.data.entrega != 0){
                        $sessionStorage.MostrarEntrega = 1;
                        $sessionStorage.IdEntrega = response.data.entrega[0]['id_entrega'];
                    }
                    $state.go("Sercivios");
                }
            });
        }
    }
    $scope.SinRegistro = function() {
        $sessionStorage.Cedula = "";
        $sessionStorage.MostrarSC = 0;
        $sessionStorage.MostrarEntrega = 0;
        $sessionStorage.tipoSeleccionada = 0;
        $state.go("Sercivios");
    }


    $scope.Buscarpersona = function () {
        if($scope.Cedula == "" || $scope.Cedula == null || $scope.Cedula == undefined){
            if($sessionStorage.tipoSeleccionada == "1"){
                
            }else{
                $sessionStorage.Cedula = "";
                $sessionStorage.MostrarSC = 0;
                $sessionStorage.MostrarEntrega = 0;
                $state.go("Sercivios");
            }
        }else{
            $sessionStorage.Cedula = $scope.Cedula;
            $http.get("app/model/Servidor.php?accion=BuscarPersona&Cedula=" + $scope.Cedula)
            .then(function (response) {
                if(response.data.estado == 'mal'){
                    $state.go("Registro");
                    $sessionStorage.MostrarSC = 1;
                }else{
                    $sessionStorage.NombreCliente = response.data.estado[0]['NombreCompleto'];
                    $sessionStorage.IdPersona = response.data.estado[0]['IdPersona'];
                    // $sessionStorage.Telefono = response.data.estado[0]['Telefono'];
                    $sessionStorage.Cedula = $scope.Cedula;
                    $sessionStorage.MostrarSC = 1;
                    console.log(response.data.entrega);
                    if(response.data.entrega != 0){
                        console.log("aaaaaaaaaaaaaaaaa");
                        $sessionStorage.MostrarEntrega = 1;
                        $sessionStorage.IdEntrega = response.data.entrega[0]['id_entrega'];
                    }else{
                        $state.go("Sercivios");
                    }
                    // if($sessionStorage.tipoSeleccionada == "1"){
                    //     if(!comprobarempty($sessionStorage.Telefono)) {
                    //         $state.go("Sercivios");
                    //     }else{
                    //         $state.go("Telefono");
                    //     }
                    // }
                }
            });
        }
    }

    function ConsultarScanCedulas() {
        console.log("Escan cedula");
        $http.get("app/model/Servidor.php?accion=ConsultarScanCedulas")
            .then(function (response) {
                //console.log(response);
                if(response.data.respuesta == 'bien'){
                    $interval.cancel(intervalScanCedula);
                    $scope.Cedula = response.data.cedula;
                    $scope.NombreCompleto = response.data.nombre;
                    //$scope.Buscarpersona();
                    $scope.ES_nombreCompleto = $scope.NombreCompleto;
                    $scope.ES_identificacion = $scope.Cedula;
                    $scope.mostrarCC = false;
                    $scope.datoscliente = true;
                }
                //
            });
    }

    // var intervalScanCedula = $interval(function () {
    //     if($sessionStorage.Ubicacion == 'Cedula'){
    //         ConsultarScanCedulas();
    //     }
    // }, 2000);

    $scope.VolverInicio = function() {
        $scope.Cedula = "";
        $scope.NombreCompleto = "";
        $scope.ES_nombreCompleto = "";
        $scope.ES_identificacion = "";
        $scope.mostrarCC = true;
        $scope.datoscliente = false;
        $sessionStorage.Ubicacion == 'Inicio';
        $state.go("Cedula");
    }

}